# you may want to remove some of the sub packages depending on what you
# have installed on your system when building this package.

Summary: Python bindings for the GTK+ widget set.
Name: pygtk
Version: 1.99.3
Release: 1
Copyright: LGPL
Group: Development/Languages
Source: ftp://ftp.gtk.org/pub/gtk/python/pygtk-%{version}.tar.gz
BuildRoot: /var/tmp/pygtk-root
Packager: James Henstridge <james@daa.com.au>
Requires: gtk+ >= 1.3.9
Requires: python >= 2.2

%description
PyGTK is an extension module for python that gives you access to the GTK+
widget set.  Just about anything you can write in C with GTK+ you can write
in python with PyGTK (within reason), but with all the benefits of python.

%package libglade
Summary: A wrapper for the libglade library for use with PyGTK
Group: Development/Languages
Requires: pygtk = %{version}

%description libglade
This module contains a wrapper for the libglade library.  Libglade allows
a program to construct its user interface from an XML description, which
allows the programmer to keep the UI and program logic separate.

%package devel
Summary: files needed to build wrappers for GTK+ addon libraries
Group: Development/Languages
Requires: pygtk = %{ver}

%description devel
This package contains files required to build wrappers for GTK+ addon
libraries so that they interoperate with pygtk.

%prep
%setup
./configure --prefix=%{_prefix}

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%files
%dir %{_prefix}/lib/python?.?/site-packages/gtk
%{_prefix}/lib/python?.?/site-packages/gtk/__init__.py*
%{_prefix}/lib/python?.?/site-packages/gtk/keysyms.py*

%{_prefix}/lib/python?.?/site-packages/gobjectmodule.so
%{_prefix}/lib/python?.?/site-packages/pangomodule.so
%{_prefix}/lib/python?.?/site-packages/gtk/_gtkmodule.so

%doc AUTHORS NEWS README MAPPING ChangeLog description.py
%doc examples

%files libglade
%{_prefix}/lib/python?.?/site-packages/gtk/glademodule.so

%files devel
%{_prefix}/bin/pygtk-codegen-2.0
%dir %{_prefix}/include/pygtk
%{_prefix}/include/pygtk/*.h
%{_prerix}/lib/pkgconfig/pygtk-2.0.pc
%dir %{_prefix}/share/pygtk
%dir %{_prefix}/share/pygtk/2.0
%dir %{_prefix}/share/pygtk/2.0/codegen
%dir %{_prefix}/share/pygtk/2.0/defs
%{_prefix}/share/pygtk/2.0/codegen/*
%{_prefix}/share/pygtk/2.0/defs/pango.defs
%{_prefix}/share/pygtk/2.0/defs/gdk.defs
%{_prefix}/share/pygtk/2.0/defs/gtk.defs
%{_prefix}/share/pygtk/2.0/defs/gtk-extrafuncs.defs
%{_prefix}/share/pygtk/2.0/defs/libglade.defs
